Bug 865196 - ValueError: format is not resizable
ValueError: format is not resizable
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:e824b3094d1cc61abab96356c42...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 21:23 EDT by Reartes Guillermo
Modified: 2013-08-07 19:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 19:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (176.11 KB, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: storage.log (58.45 KB, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (1.64 KB, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: syslog (63.66 KB, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details
File: program.log (17.61 KB, text/plain)
2012-10-10 21:23 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-10 21:23:01 EDT
Description of problem:
tried to 'resize' an UNKNOWN partition. 

UNKNOWN partitions should be not rezisable. In this case such partition is a Solaris VTOC.
Anaconda should only offer to resize the supported cases.


Version-Release number of selected component:
anaconda-18.14

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 543, in __init__
:    raise ValueError("format is not resizable")
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 223, in _scheduleActions
:    self.storage.devicetree.registerAction(ActionResizeFormat(device, device.minSize))
:ValueError: format is not resizable
Comment 1 Reartes Guillermo 2012-10-10 21:23:09 EDT
Created attachment 625274 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-10 21:23:11 EDT
Created attachment 625275 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-10 21:23:14 EDT
Created attachment 625276 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-10 21:23:16 EDT
Created attachment 625277 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-10 21:23:21 EDT
Created attachment 625278 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-10 21:23:23 EDT
Created attachment 625279 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-10 21:23:25 EDT
Created attachment 625280 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-10 21:23:27 EDT
Created attachment 625281 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-10 21:23:32 EDT
Created attachment 625282 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-10 21:23:35 EDT
Created attachment 625283 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-10 21:23:37 EDT
Created attachment 625284 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-10 21:23:39 EDT
Created attachment 625285 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-10 21:23:42 EDT
Created attachment 625286 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-10 21:23:47 EDT
Created attachment 625287 [details]
File: program.log
Comment 15 Chris Lumens 2012-10-23 14:51:59 EDT
How can I make a device of this type in order to test?
Comment 16 Reartes Guillermo 2012-10-23 15:08:24 EDT
Sadly, you must install a Solaris x86 on the disk.

# fdisk -l /dev/sda

Disk /dev/sda: 24.3 GB, 24315428864 bytes, 47491072 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *       16065    47488139    23736037+  bf  Solaris

Disk /dev/mapper/live-rw: 1073 MB, 1073741824 bytes, 2097152 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes

# gdisk -l /dev/sda 

GPT fdisk (gdisk) version 0.8.4

Partition table scan:
  MBR: MBR only
  BSD: not present
  APM: not present
  GPT: not present


***************************************************************
Found invalid GPT and valid MBR; converting MBR to GPT format.
***************************************************************

Disk /dev/sda: 47491072 sectors, 22.6 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): BCF9335B-8B38-4017-A150-4C53F027DC52
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 47491038
Partitions will be aligned on 1-sector boundaries
Total free space is 18930 sectors (9.2 MiB)

Number  Start (sector)    End (sector)  Size       Code  Name
   1           16065        47488139   22.6 GiB    BF00  Solaris root

These info might be useful:

Some info might be outdated, but check only the parts that refer to VTOC or SOLARIS PARTITION and SLICES. 

http://content.hccfl.edu/pollock/aunix1/SolarisPartitioning.htm
http://multiboot.solaris-x86.org/iv/3.html
Comment 17 Reartes Guillermo 2012-11-05 17:29:52 EST
F18b TC7, tried to shrink the unknown partition (with solaris) and the 'reclaim space' button remains grayed out (locked). 

So it seems this avoids the issue by not unlocking the 'reclaim space' for 'unknown' partitions.
Comment 18 Chris Lumens 2012-11-06 09:58:32 EST
If you manipulate enough other partitions, though, we will enable the button and then might still hit this issue.  That'd be worth a test.

Note You need to log in before you can comment on or make changes to this bug.